;Author Pseudoname: Iambian Zenith
;
;Designed for use ONLY on the TI-83 Plus SILVER EDITION.
;
;Specified Tilemap from FF1
;This data is not compressed.
;This is only a compileable DATA file. Not supposed to be used by itself (unless creating separate file)
;
;The detailing routine reads this data and places specific spots on the map.
;
;Format is as follows:
;
;.db ypos,xpos,tile
;
;There will be no more or no less than three bytes to the tile.
;Since there are 256 bytes in a row, each byte can be loaded into a single register.
;Suggested use: H = ypos
;               L = xpos
;               C = tile
;Can shift HL twice to spill the two MSB into register A, then add 2 to A. This number can
;now be "out"-ed to port 5 as it is. Please restore H after the shifting.

#define	seawater	$00
#define	greengrass	$01
#define	desert		$02
#define	green		$03
#define	riverwater	$04
#define	mountains	$05
#define	concrete	$06
#define	forest		$07
#define	thorns		$08
#define town		$09
#define hole		$0a
#define waterfall       $0b
#define	CoastLBS	$11
#define	CoastLUS	$10
#define	CoastSBL	$13
#define	CoastSUL	$12
#define	TYC_TopLeft	$4a ;chng
#define	TYC_TopRight	$4b ;chng
#define	TYC_BottomLeft	$16
#define	TYC_BottomRight	$17
#define	towerTop	$49 ;chng
#define	towerBottom	$14

#define	WallTopLeftEdge            $32
#define	WallTopCenter              $33
#define	WallTopRightEdge           $34
#define	WallLeftOutsideCurve01     $35
#define	WallLeftInsideCurve01      $36
#define	WallRightOutsideCurve01    $37
#define	WallRightInsideCurve01     $38
#define	WallLeftContainedCurve01   $39
#define	WallRightContainedCurve01  $3a
#define	WallBottomLeftEdge         $3b
#define	LeftGate                   $3c
#define	RightGate                  $3d
#define	WallBottomRightEdge        $3e

#define	WallLeftOutsideCurve02     $3f
#define	WallLeftInsideCurve02      $40
#define	WallRightOutsideCurve02    $41
#define	WallRightInsideCurve02     $42
#define	WallLeftContainedCurve02   $43
#define	WallRightContainedCurve02  $44
#define	WallLeftContainedCurve03   $45
#define	WallRightContainedCurve03  $46
#define	WallLeftContainedCurve04   $47
#define WallRightContainedCurve04  $48

#define	CorneriaTopLeft    	$30
#define	CorneriaTopRight   	$31
#define	CorneriaCenterLeft 	$2e
#define	CorneriaCenterRight	$2f
#define	CorneriaBottomLeft 	$1a
#define	CorneriaBottomRight	$1b
#define	TOC_TopLeft 		$06
#define	TOC_TopRight		$06
#define	TOC_BottomLeft 		$06
#define	TOC_bottomRight		$06
#define	AC_TopLeft 		$06
#define	AC_TopRight		$06
#define	AC_BottomLeft 		$06
#define	AC_BottomRight		$06
#define	Volcano_TopLeft    	$1e
#define	Volcano_TopRight   	$1f
#define	Volcano_BottomLeft 	$1c
#define	Volcano_BottomRight	$1d
#define	ELC_TopLeft 		TYC_TopLeft
#define	ELC_TopRight		TYC_TopRight
#define	ELC_BottomLeft 		TYC_BottomLeft
#define	ELC_BottomRight		TYC_BottomRight
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$
;	equ	$



AccessibleData:  ;data that points to places that you can go into.
; Waterfall in which you get the CUBE to enter the Floating Fortress.
.db 022,054,waterfall
; Town section. Four areas to enter. Town of Gaia.
.db 020,222,town
.db 020,223,town
.db 021,221,town
.db 021,222,town
;Castle where you test your courage at. Possession of Crown is required for test. Recieve Rat's Tail when done.
.db 038,129,TYC_BottomLeft
.db 038,130,TYC_BottomRight
;Dragon's home. Forested slanted island, top entrance.
.db 041,092,hole
;Oasis shop. Buy the Faerie here.
.db 042,029,desert
;Dragon's home. Grassy island, closest to west mainland.
.db 042,079,hole
;Dragon's home. Forested slanted island, lower entrance.
.db 044,096,hole
;Seaside town. Entrance to the Water Temple found here.
.db 050,061,town
.db 050,062,town
.db 051,061,town
.db 051,062,town
;Dragon's home. Thorny island.
.db 051,093,hole
;Base of the tower. Only accessible when holding the Chime.
.db 051,194,towerBottom
;Dragon's home. Small, desolate island.
.db 052,105,hole
;Dragon's home. Heavily forested, banana-shaped island.
.db 059,116,hole
;Remotely walled city of (insert name here). You can get NUKE and LIF2 from here.
.db 091,235,town
.db 092,234,town
.db 092,235,town
.db 092,236,town
;Matoya's Cave. The talking brooms in it says "TCELES B HSUP." They say things backwards.
.db 110,168,hole
;Accessible part of the Temple of Chaos. All four elements focus thier powers at this point.
.db 116,129,TOC_BottomLeft
.db 116,130,TOC_bottomRight
;Port town. Where you get your boat.
.db 142,210,town
.db 143,209,town
.db 143,211,town
;Dwarf Cave. Where the blacksmith can forge Excalibur, and where Nerrick can blow up the canal for you, using your TNT.
.db 148,100,hole
;Castle Corneria itself. The enterable part.
.db 152,152,CorneriaBottomLeft
.db 152,153,CorneriaBottomRight
;Town Corneria
.db 153,151,town
.db 154,151,town
.db 155,151,town
.db 153,154,town                  
.db 154,154,town
.db 155,154,town
;Town of Melmond
.db 152,081,town
.db 153,081,town
.db 153,082,town
;Titan's Cave, East entrance (guarded)
.db 167,042,hole
;Titan's Cave, West Entrance (accessible when NOT guarded. Need RUBY to remove Titan)
.db 168,030,hole
;Entrance to Ice Cave. Where you get FLOATER, the final piece to the AIRSHIP.
.db 176,197,hole
;Entrance to Earth Cave. Revive the Earth Orb in this place, also needs ROD to reach below 3rd floor after getting RUBY from the vampire.
.db 179,065,hole
;Entrance to Astos' Castle. Get the CRYSTAL from here.
.db 179,102,AC_BottomLeft
.db 179,103,AC_BottomRight
;Sage's Cave. Retrieve the ROD here, to go deeper into Earth Cave.
.db 183,030,hole
;Gurgu Volcano. All over, it's the entrance point. Where you can revive your Fire Orb at. Just don't get burnt :)
.db 196,188,Volcano_TopLeft
.db 196,189,Volcano_TopRight
.db 197,188,Volcano_BottomLeft
.db 197,189,Volcano_BottomRight
;Crecent town. Get your CANOE here! Also the home of the Silver Weapons/Armors.
.db 209,219,town
.db 209,220,town
.db 210,218,town
.db 210,220,town
.db 211,218,town
;Castle of ElfLand
.db 214,135,ELC_BottomLeft
.db 214,136,ELC_BottomRight
;Towns of ElfLand
.db 214,134,town
.db 215,134,town
.db 214,137,town
.db 215,137,town
;Marsh Cave. Get your CROWN here.
.db 229,102,hole
;Our little secret area at the edge of the world.
.db 254,255,concrete
.db 255,255,hole
;forcing a few water tiles at these locations
.db 170,097,seawater
.db 175,097,seawater
.db 183,110,seawater
.db 188,112,seawater
.db 213,154,seawater
.db 223,168,seawater
.db 201,248,seawater

.db 176,234,seawater
.db 149,209,seawater
.db 147,209,seawater
;forcing a few seawater/land edge markings for effects. Delete if not practical...
.db 146,198,CoastLBS
.db 147,198,CoastLUS
.db 144,201,CoastSUL
.db 145,201,CoastSBL
.db 156,087,CoastSUL
.db 157,087,CoastSBL
.db 158,095,CoastLBS
.db 159,095,CoastLUS
.db 164,071,CoastSUL
.db 164,072,CoastLBS
.db 193,073,CoastSBL
.db 193,074,CoastLUS
.db 034,077,CoastLBS
.db 035,077,CoastSBL
.db 037,078,CoastLBS
.db 050,085,CoastSBL
.db 055,102,CoastLBS
.db 051,103,CoastSBL
.db 053,107,CoastLBS
.db 040,088,CoastSBL
.db 046,100,CoastLBS
.db 058,105,CoastSBL
.db 055,122,CoastSUL
;Incomplete, but will finish eventually












NonAccessibleData:
; Nonaccessible part of the remote castle, used to "test your courage". Crown is required for the test.
.db 037,129,TYC_TopLeft
.db 037,130,TYC_TopRight
; Nonaccessible part of the tower. Naturally, the top cannot be reached.
.db 050,194,towerTop
; Our remote city's fairly tough walls and gate. The place where you can get NUKE and LIF2 from.
.db 090,234,WallTopLeftEdge
.db 090,235,WallTopCenter
.db 090,236,WallTopRightEdge
.db 091,233,WallLeftOutsideCurve01
.db 091,234,WallLeftInsideCurve01
.db 091,237,WallRightOutsideCurve01
.db 091,236,WallRightInsideCurve01
.db 092,233,WallLeftContainedCurve01
.db 092,237,WallRightContainedCurve01
.db 093,233,WallBottomLeftEdge
.db 093,234,LeftGate
.db 093,236,RightGate
.db 093,237,WallBottomRightEdge
;Inaccessible part of the Temple of Chaos. Fight Garland here, and you are warped back in time 1000 years to fight Chaos.
.db 115,129,TOC_TopLeft
.db 115,130,TOC_TopRight
;Walls of our fair port town. It seems that it shares the same dimensions of the remote one. Get your boat here!
.db 141,209,WallTopLeftEdge
.db 141,210,WallTopCenter
.db 141,211,WallTopRightEdge
.db 142,208,WallLeftOutsideCurve01
.db 142,209,WallLeftInsideCurve01
.db 142,212,WallRightOutsideCurve01
.db 142,211,WallRightInsideCurve01
.db 143,208,WallLeftContainedCurve01
.db 143,212,WallRightContainedCurve01
.db 144,208,WallBottomLeftEdge
.db 144,209,LeftGate
.db 144,211,RightGate
.db 144,212,WallBottomRightEdge
;Castle Corneria itself.
.db 150,152,CorneriaTopLeft
.db 150,153,CorneriaTopRight
.db 151,152,CorneriaCenterLeft
.db 151,153,CorneriaCenterRight
;Walls of the Kingdom of Corneria.
.db 151,151,WallTopLeftEdge
.db 151,154,WallTopRightEdge
.db 152,150,WallLeftOutsideCurve02   
.db 152,151,WallLeftInsideCurve02    
.db 152,155,WallRightOutsideCurve02  
.db 152,154,WallRightInsideCurve02   
.db 153,150,WallLeftContainedCurve02 
.db 153,155,WallRightContainedCurve02
.db 154,150,WallLeftContainedCurve03 
.db 154,155,WallRightContainedCurve03
.db 155,150,WallLeftContainedCurve04 
.db 155,155,WallRightContainedCurve04
.db 156,150,WallBottomLeftEdge
.db 156,151,LeftGate
.db 156,154,RightGate
.db 156,155,WallBottomRightEdge
;Astos' castle. Unenterable part.
.db 178,102,AC_TopLeft
.db 178,103,AC_TopRight
;Crecent Town's walls. Walled similarly to Kingdom of Corneria, 'cept one tile shorter ( <-|-> wise)
.db 207,218,WallTopLeftEdge
.db 207,219,WallTopCenter        ;center wall
.db 207,220,WallTopRightEdge
.db 208,217,WallLeftOutsideCurve02   
.db 208,218,WallLeftInsideCurve02    
.db 208,221,WallRightOutsideCurve02  
.db 208,220,WallRightInsideCurve02   
.db 209,217,WallLeftContainedCurve02 
.db 209,221,WallRightContainedCurve02
.db 210,217,WallLeftContainedCurve03 
.db 210,221,WallRightContainedCurve03
.db 211,217,WallLeftContainedCurve04 
.db 211,221,WallRightContainedCurve04
.db 212,217,WallBottomLeftEdge
.db 212,218,LeftGate
.db 212,220,RightGate
.db 212,221,WallBottomRightEdge
;ElfLand Castle non-enterable part.
.db 213,135,ELC_TopLeft
.db 213,136,ELC_TopRight
;Three null-terminators. Water is already at point 0,0 so detailing one there would not be needed.
.db 000,000,000

